package com.ejie.p06b.x43.handler;

import java.util.ArrayList;
import java.util.List;
import javax.xml.ws.handler.Handler;
import javax.xml.ws.handler.HandlerResolver;
import javax.xml.ws.handler.PortInfo;

/**
 * 
 * @author GLOPEZRI
 * 
 */
public class HeaderHandlerResolver implements HandlerResolver {

	/**
	 * Método que omplementa la interface de la clase HandlerResolver
	 * 
	 * @param portInfo
	 *            Objeto de tipo PortInfo con la información del puerto sobre el
	 *            que crear el manejador
	 * 
	 * @return Devuelve un objeto de tipo List<Handler> con la cadena de
	 *         manejador
	 */
	public List<Handler> getHandlerChain(PortInfo portInfo) {
		List<Handler> handlerChain = new ArrayList<Handler>();

		HeaderHandler hh = new HeaderHandler();

		handlerChain.add(hh);

		return handlerChain;
	}
}
